## graph-tool 2.53+ds

=== doc/Makefile ===
default: html

all: html latex test

check: test-noninteractive test

html:
	sphinx-build -E -b html . build/html

latex:
	sphinx-build -E -b latex . build/pdf

test:
	sphinx-build -b doctest . build/test

test-noninteractive:
	sphinx-build -b doctest . build/test-ni *.rst demos/inference/inference.rst

clean:
	rm -rf build

## graph-tool 2.45+ds

=== debian/changelog ===
graph-tool (2.45+ds-9) unstable; urgency=medium

  * FTBFS fix release, drop python-matplotlib-doc dependency
    (closes: #1027601).
  * Debianization:
    - d/copyright:
      - Copyright year-tuples, update;
    - d/control:
      - Standards-Version, bump to version 4.6.2 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 02 Jan 2023 08:31:42 +0000

graph-tool (2.45+ds-8) unstable; urgency=medium

  * FTBFS fix release, provide a fixed version of ax_python_devel.m4
    (see #1020747; closes: #1019999).

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 16 Oct 2022 16:59:25 +0000

graph-tool (2.45+ds-7) unstable; urgency=medium

  * Debianization:
    - d/control:
      - Build-Depends field, comment mencoder;
      - python3-graph-tool now Suggests mencoder;
    - d/t/control:
     	- Architecture field, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 28 Aug 2022 14:02:28 +0000

graph-tool (2.45+ds-6) unstable; urgency=medium

  * FTBFS release, now d/rules provides explicitly PYTHON_VERSION and
    PYTHON_SITE_PKG at dh_auto_configure time; for further information,
    see https://lists.debian.org/debian-python/2022/03/msg00039.html .

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 27 Aug 2022 21:32:00 +0000

graph-tool (2.45+ds-5) unstable; urgency=medium

  * Upload to unstable.
  * Debianization:
    - d/control:
      - Architecture, adjust and add unofficially supported 64 bits arch;
    - d/rules:
      - arch specific CPPFLAGS, comment;
    - d/patches/*:
      - d/p/upstream-workaround-int128-arch-32bits.patc, introduce
        (for the record).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 27 Aug 2022 11:50:31 +0000

graph-tool (2.45+ds-4) experimental; urgency=medium

  * Debianization:
    - d/rules:
      - resource management on mips64el arch, add -mxgot .

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 05 Aug 2022 10:47:25 +0000

graph-tool (2.45+ds-3) experimental; urgency=medium

  * Debianization:
    - d/control:
      - Architecture, restrict to officially supported 64 bits arch;
    - d/rules:
      - resource management on mips64el arch, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 04 Aug 2022 19:38:05 +0000

graph-tool (2.45+ds-2) experimental; urgency=medium

  * Debianization:
    - d/control:
      - Build-Depends{,-Indep}, adjust.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 01 Aug 2022 14:49:49 +0000

graph-tool (2.45+ds-1) experimental; urgency=medium

  * Debianization:
    - d/patches/*:
      - d/p/upstream-enhance-doc-make.patch, integrated;
    - d/control:
      - Standards-Version, dump to 4.6.1 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 31 Jul 2022 20:58:08 +0000

graph-tool (2.44+ds-1) experimental; urgency=medium

  * Initial release (Closes: #781765).

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 27 Mar 2022 16:18:08 +0000

=== debian/control ===
Source: graph-tool
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 autoconf-archive,
 dh-python,
 python3,
 libgmp-dev,
 libcgal-dev,
 libboost-thread-dev,
 libboost-system-dev,
 libboost-iostreams-dev,
 libboost-regex-dev,
 libboost-coroutine-dev,
 libboost-graph-dev,
 libboost-python-dev,
 libexpat1-dev,
 libsparsehash-dev,
 libcairomm-1.0-dev,
 python3-dev,
 python3-numpy-dev,
 python3-cairo-dev,
 python3-numpy,
 python3-scipy,
 python3-matplotlib,
 zstd,
# mencoder,
 vpx-tools,
 librsvg2-common,
 gir1.2-gtk-3.0,
 python3-gi
Build-Depends-Indep:
 dh-sequence-sphinxdoc,
 python3-docutils,
 python3-sphinx,
 python3-doc,
 python3-numpydoc,
 python-scipy-doc,
# python-matplotlib-doc,
 python3-cairo-doc,
 python-ipython-doc,
 python-pandas-doc,
 texlive-latex-base,
 texlive-latex-recommended,
 texlive-fonts-recommended,
 texlive-latex-extra,
 cm-super-minimal,
 poppler-utils,
 latexmk
Standards-Version: 4.6.2
Homepage: https://graph-tool.skewed.de/
Vcs-Git: https://salsa.debian.org/python-team/packages/graph-tool.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/graph-tool

Package: python3-graph-tool
## fails to _link_ on any-32bit and mips64el arch due to design limitations
Architecture: amd64 arm64 ppc64el s390x  kfreebsd-amd64 ia64 ppc64 ppc64el riscv64
Depends: python3-scipy, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Replaces: graph-tool
Recommends: python3-gv, python3-matplotlib, python3-cairo, python3-gi-cairo, python3-gi, gir1.2-gtk-3.0
Suggests: mencoder
Description: Efficient network analysis -- Python
 graph-tool is an efficient Python module for manipulation and statistical
 analysis of graphs (a.k.a. networks). Contrary to most other Python modules
 with similar functionality, the core data structures and algorithms are
 implemented in C++, making extensive use of template metaprogramming,
 based heavily on the Boost Graph Library. This confers it a level of
 performance that is comparable (both in memory usage and computation time)
 to that of a pure C/C++ library.
 .
 This package provides the Python material.

Package: graph-tool-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: python3-graph-tool
Multi-Arch: foreign
Description: Efficient network analysis -- doc
 graph-tool is an efficient Python module for manipulation and statistical
 analysis of graphs (a.k.a. networks). Contrary to most other Python modules
 with similar functionality, the core data structures and algorithms are
 implemented in C++, making extensive use of template metaprogramming,
 based heavily on the Boost Graph Library. This confers it a level of
 performance that is comparable (both in memory usage and computation time)
 to that of a pure C/C++ library.
 .
 This package provides the documentation and sample material.

## graph-tool 2.53%2Bds

=== debian/changelog ===
graph-tool (2.53+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 14 Apr 2023 07:13:28 +0000

graph-tool (2.53+ds-1) experimental; urgency=medium

  * New upstream release.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 13 Apr 2023 20:01:55 +0000

graph-tool (2.52+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 10 Apr 2023 09:32:25 +0000

graph-tool (2.52+ds-1) experimental; urgency=medium

  * New upstream release.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 09 Apr 2023 12:56:32 +0000

graph-tool (2.49+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 04 Apr 2023 12:33:03 +0000

graph-tool (2.49+ds-1) experimental; urgency=medium

  * New upstream release.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 03 Apr 2023 18:35:17 +0000

graph-tool (2.48+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Debianization:
    - d/s/lintian-overrides, reverse update.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 03 Apr 2023 13:34:20 +0000

graph-tool (2.48+ds-1) experimental; urgency=medium

  * New upstrean release.
  * Debianization:
    - d/patches/*:
      - d/p/upstream-fix-python311-migration.patch, integrated;
    - various janitorial changes.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 26 Mar 2023 19:00:39 +0000

graph-tool (2.45+ds-10~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No change.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 07 Jan 2023 11:08:06 +0000

graph-tool (2.45+ds-10) unstable; urgency=medium

  * FTBFS fix release, patch material now obsoleted by Python 3.11
    (Closes: #1027850).
  * Debianization:
    - d/patches/*:
      - d/p/upstream-fix-python311-migration.patch, introduce;
      - d/p/d-provide_fixed-ax_python_devel_DOT_m4.patch, obsoleted.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 04 Jan 2023 14:08:40 +0000

## graph-tool 2.57+ds

=== debian/changelog ===
graph-tool (2.57+ds-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Build with --max-parallel=2 to avoid OOM on Launchpad builders

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 19 Aug 2023 13:44:30 +0000

graph-tool (2.57+ds-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 26 Jul 2023 22:06:24 +0000

graph-tool (2.45+ds-10ubuntu1) lunar; urgency=medium

  * Build with --max-parallel=2 to avoid OOM on Launchpad builders

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 27 Mar 2023 07:00:13 +0000

## graph-tool 2.58+ds

=== doc/demos/cppextensions/Makefile ===
CXX=g++
CXXFLAGS=-O3 -fopenmp -std=gnu++17 -Wall -fPIC `pkg-config --cflags --libs graph-tool-py3.10` -shared
ALL: libkcore.so

libkcore.so: kcore.hh kcore.cc
	${CXX} ${CXXFLAGS} kcore.cc -o libkcore.so

=== debian/changelog ===
graph-tool (2.58+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * No change.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 14 Sep 2023 10:27:40 +0000

graph-tool (2.57+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * No change.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 28 Jul 2023 21:16:07 +0000

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export VERSION_COMMENT=\"(Debian $(DEB_VERSION))\"

PY3DOTVERSION=$(shell py3versions -dv)
PY3DOTLESSVERSION=$(shell py3versions -dv | sed -e 's@\.@@')

DEB_PYTHON_VERSION=$(PY3DOTVERSION)
DEB_PYTHON_SITE_PKG=/usr/lib/python$(PY3DOTVERSION)/dist-packages

BUILDDIR=_BUILD

##ifneq (,$(filter $(DEB_HOST_ARCH), mips64el))
##CPPFLAGS += -mxgot --param ggc-min-expand=10
##endif

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --with python3 --builddirectory=$(BUILDDIR)

override_dh_auto_configure:
	## see d/patches/upstream-fix-autotools-automake-doc-missing.patch
	cp -vprd -t doc debian/adhoc/provide/doc/*
	PYTHON_VERSION=$(DEB_PYTHON_VERSION) \
	PYTHON_SITE_PKG=$(DEB_PYTHON_SITE_PKG) \
		dh_auto_configure -- \
			--with-sparsehash-prefix=google \
			--with-boost-python=boost_python$(PY3DOTLESSVERSION)

override_dh_auto_test:
	true

override_dh_auto_install:
	dh_auto_install
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	@echo "TEST STARTED" `date -u`
	$(RM) $(BUILDDIR)/test.png
	PYTHONPATH=$(CURDIR)/debian/tmp/$(DEB_PYTHON_SITE_PKG) \
		python3 -c "\
from graph_tool.all import *; \
show_config(); \
g = random_graph(10, lambda: 5, directed=False); \
graph_draw(g, output='$(BUILDDIR)/test.png'); \
"
	@echo "TEST ENDED" `date -u`
endif

override_dh_install:
	dh_install -X.la

override_dh_installchangelogs:
	dh_installchangelogs --keep ChangeLog

override_dh_missing:
	dh_missing -X.la --list-missing

override_dh_dwz:
	dh_dwz --no-dwz-multifile -Xlibgraph_tool_core -Xlibgraph_tool_inference

execute_before_dh_gencontrol:
	dh_numpy3

override_dh_clean:
	find debian/adhoc/provide/doc/ -type f | sed 's@debian/adhoc/provide/@@g' | xargs rm -vf
	dh_clean

=== debian/tests/control ===
Test-command: python3 -c "from graph_tool.all import *; show_config(); g = random_graph(10, lambda: 5, directed=False); graph_draw(g, output='test.png');"
Architecture: amd64 arm64 ppc64el s390x  kfreebsd-amd64 ia64 ppc64 ppc64el riscv64
Depends: python3-graph-tool, python3-matplotlib, gir1.2-gtk-3.0, python3-cairo, python3-gi

## graph-tool 2.59%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: graph-tool
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Rules-Requires-Root: no
 Build-Depends:
@@ -58,7 +59,8 @@
 
 Package: python3-graph-tool
 ## fails to _link_ on any-32bit and mips64el arch due to design limitations
-Architecture: amd64 arm64 ppc64el s390x  kfreebsd-amd64 ia64 ppc64 ppc64el riscv64
+## fails to build on ppc64el due to unfulfilled tests in boost (#1060295, #1060786)
+Architecture: amd64 arm64 s390x  kfreebsd-amd64 ia64 loong64 ppc64 riscv64
 Depends: python3-scipy, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Provides: ${python3:Provides}
 Replaces: graph-tool

## graph-tool 2.59+ds

=== debian/changelog ===
graph-tool (2.59+ds-4ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:54:22 +1100

graph-tool (2.59+ds-4ubuntu2) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Mar 2024 21:13:40 +0100

graph-tool (2.59+ds-4ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/rules: Build with --max-parallel=2 to avoid OOM on Launchpad

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 27 Feb 2024 13:37:08 +0000

graph-tool (2.59+ds-4) unstable; urgency=medium

  * Debianization:
    - d/t/control:
      - Architecture, make consistent with list in d/control,

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 04 Feb 2024 17:52:15 +0000

graph-tool (2.59+ds-3) unstable; urgency=medium

  * Debianization:
     -d/control:
     	- Architecture, remove ppc64el (see: #1060832).

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 29 Jan 2024 21:30:42 +0000

graph-tool (2.59+ds-2) unstable; urgency=medium

  * Team upload.
  * Try building also on ppc64el

 -- Andreas Tille <tille@debian.org>  Mon, 15 Jan 2024 17:10:11 +0100

graph-tool (2.59+ds-1) unstable; urgency=medium

  * New upstream release.
  * Debianization:
    - d/copyright:
      - Copyright year-tuples, update;
    - d/patches/*:
      - d/p/boost_1.83.patch, obsoleted;
    - d/control:
     	- Architecture field, add loong64 arch (Closes: #1059198).

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 07 Jan 2024 17:21:28 +0000

graph-tool (2.58+ds-2ubuntu2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 20 Jan 2024 08:45:04 +0000

graph-tool (2.58+ds-2ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/rules: Build with --max-parallel=2 to avoid OOM on Launchpad

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 05 Jan 2024 14:37:03 +0000

graph-tool (2.58+ds-2) unstable; urgency=medium

  * Team upload.
  * Compatibility with boost 1.83
    Closes: #1056079

 -- Andreas Tille <tille@debian.org>  Wed, 20 Dec 2023 13:38:21 +0100

graph-tool (2.58+ds-1ubuntu2) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:50:08 +0100

graph-tool (2.58+ds-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/rules: Build with --max-parallel=2 to avoid OOM on Launchpad

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 05 Dec 2023 12:38:25 +0000

graph-tool (2.58+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 08 Sep 2023 15:03:17 +0000

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,10 @@
 
 BUILDDIR=_BUILD
 
+ifeq (ppc64el,$(DEB_HOST_ARCH))
+export DEB_CFLAGS_MAINT_APPEND=-mlong-double-80
+endif
+
 ##ifneq (,$(filter $(DEB_HOST_ARCH), mips64el))
 ##CPPFLAGS += -mxgot --param ggc-min-expand=10
 ##endif
@@ -22,7 +26,7 @@
 	@uscan --no-conf --dehs --report || true
 
 %:
-	dh $@ --with python3 --builddirectory=$(BUILDDIR)
+	dh $@ --with python3 --builddirectory=$(BUILDDIR) --max-parallel=2
 
 override_dh_auto_configure:
 	## see d/patches/upstream-fix-autotools-automake-doc-missing.patch

=== debian/tests/control ===
Test-command: python3 -c "from graph_tool.all import *; show_config(); g = random_graph(10, lambda: 5, directed=False); graph_draw(g, output='test.png');"
Architecture: amd64 arm64 s390x  kfreebsd-amd64 ia64 loong64 ppc64 riscv64
Depends: python3-graph-tool, python3-matplotlib, gir1.2-gtk-3.0, python3-cairo, python3-gi

## graph-tool 2.68+ds

=== debian/changelog ===
graph-tool (2.68+ds-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Debianization:
    - d/control:
      - Build-Depends-Indep list, discard python-mpltoolkits.basemap-doc.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 30 May 2024 09:36:32 +0000

graph-tool (2.68+ds-1) unstable; urgency=medium

  * New upstream release.
  * Debianization:
    - d/patches/*:
      - d/p/debianization-documentation.patch, refresh;
    - d/control:
      - Build-Depends-Indep list, add python-mpltoolkits.basemap-doc.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 26 May 2024 20:52:11 +0000

graph-tool (2.65+ds-3) unstable; urgency=medium

  * Fix binary-indep FTBFS, add suffix -arch to execute_after_dh_python3.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 14 May 2024 15:28:47 +0000

graph-tool (2.65+ds-2) unstable; urgency=medium

  * Debianization:
    - d/rules:
      - execute_after_dh_python3 target, introduce:
        - rewrite on the fly the pgk-config(1) meta-data file
          wrt dh_python3 behaviour (Closes: #1070676);
    - d/tests/*:
      - d/t/control,{checkcppextensionmachiner}, introduce
        a test to check the `C++ extension' machinery setup;
      -d/control, qualify tests as superficial;
    - d{,/tests}/control:
      - Architecture lists, discard kfreebsd-amd64 arch
        as it is no more supported by Debian).

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 14 May 2024 09:41:51 +0000

graph-tool (2.65+ds-1) unstable; urgency=medium

  * New upstream release.
  * Debianization:
    - d/copyrigh, refresh;
    - d/control:
      - Standards-Version, bump to version 4.7.0 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 11 May 2024 19:39:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: graph-tool
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Rules-Requires-Root: no
 Build-Depends:
@@ -42,6 +41,7 @@
  python3-numpydoc,
  python-scipy-doc,
 # python-matplotlib-doc,
+### python-mpltoolkits.basemap-doc,
  python3-cairo-doc,
  python-ipython-doc,
  python-pandas-doc,
@@ -52,7 +52,7 @@
  cm-super-minimal,
  poppler-utils,
  latexmk
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://graph-tool.skewed.de/
 Vcs-Git: https://salsa.debian.org/python-team/packages/graph-tool.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/graph-tool
@@ -60,11 +60,13 @@
 Package: python3-graph-tool
 ## fails to _link_ on any-32bit and mips64el arch due to design limitations
 ## fails to build on ppc64el due to unfulfilled tests in boost (#1060295, #1060786)
-Architecture: amd64 arm64 s390x  kfreebsd-amd64 ia64 loong64 ppc64 riscv64
-Depends: python3-scipy, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Architecture: amd64 arm64 s390x  ia64 loong64 ppc64 riscv64
+Depends: python3-scipy, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python3:Provides}
 Replaces: graph-tool
-Recommends: python3-gv, python3-matplotlib, python3-cairo, python3-gi-cairo, python3-gi, gir1.2-gtk-3.0
+Recommends:
+ python3-gv, python3-matplotlib, python3-cairo, python3-gi-cairo, python3-gi, gir1.2-gtk-3.0,
+ build-essential, pkgconf, libpython3-dev, libboost-dev, libboost-python-dev, python3-cairo-dev
 Suggests: mencoder
 Description: Efficient network analysis -- Python
  graph-tool is an efficient Python module for manipulation and statistical

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export VERSION_COMMENT=\"(Debian $(DEB_VERSION))\"
+
+
+DEB_BUILD_MULTIARCH ?= $(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
 
 PY3DOTVERSION=$(shell py3versions -dv)
 PY3DOTLESSVERSION=$(shell py3versions -dv | sed -e 's@\.@@')
@@ -26,7 +29,7 @@
 	@uscan --no-conf --dehs --report || true
 
 %:
-	dh $@ --with python3 --builddirectory=$(BUILDDIR) --max-parallel=2
+	dh $@ --with python3 --builddirectory=$(BUILDDIR)
 
 override_dh_auto_configure:
 	## see d/patches/upstream-fix-autotools-automake-doc-missing.patch
@@ -58,6 +61,12 @@
 override_dh_install:
 	dh_install -X.la
 
+execute_after_dh_python3-arch:
+	sed -i \
+			-e 's|/lib/python'$(DEB_PYTHON_VERSION)'/dist-packages/graph_tool/|/lib/python3/dist-packages/graph_tool/|g' \
+			-e 's|-I/usr/include ||g' \
+		$(CURDIR)/debian/python3-graph-tool/usr/lib/$(DEB_BUILD_MULTIARCH)/pkgconfig/graph-tool-py$(DEB_PYTHON_VERSION).pc
+
 override_dh_installchangelogs:
 	dh_installchangelogs --keep ChangeLog

## graph-tool 2.88+ds

=== debian/changelog ===
graph-tool (2.88+ds-1) unstable; urgency=medium

  * New upstream release (Closes: #1094718).
  * Debianization:
    - d/rules:
      - drop -O2 gcc option to avoid overwriting upstream choice
        (thanks to Santiago Vila <sanvila@debian.org> for noticing);
    - d/control:
      - Build-Depends-Indep list, comment python-mpltoolkits.basemap-doc;
    - d/copyright, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 02 Feb 2025 18:31:27 +0000

graph-tool (2.77+ds-3) unstable; urgency=high

  * Team upload.
  * Adjust procedure to calculate the number of CPUs to be used.
    Consider also free swap. Closes: #1042029.
  * Note: This is meant to be a hard cap on the number of used CPUs
    to prevent out of memory cases. On machines with a lot of swap,
    the behavior will be the same as version 2.77+ds-1. On machines
    with not a lot of swap, the algorithm should avoid OOM failures.

 -- Santiago Vila <sanvila@debian.org>  Fri, 20 Dec 2024 22:10:00 +0100

graph-tool (2.77+ds-2) unstable; urgency=medium

  * Team upload.
  * Limit RAM per CPU ratio to 10000 MB / CPU. Closes: #1042029.

 -- Santiago Vila <sanvila@debian.org>  Sun, 15 Dec 2024 12:25:00 +0100

graph-tool (2.77+ds-1) unstable; urgency=medium

  * New upstream release (Closes: #1077450).
    - d/patches/*:
      - d/p/upstream-harden-demos-cppextensions-Makefile.patch, integrated.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 08 Sep 2024 15:28:06 +0000

graph-tool (2.71+ds-2) unstable; urgency=medium

  [ Jerome Benoit ]
  * Serious Bug Fix release, now soft-encode Python version in demos
    material (Closes: #1074519).
  * Debianization:
    - d/patches/*:
      - d/p/upstream-harden-demos-cppextensions-Makefile.patch, introduce;
    - d/adhoc/downloads/doc/demos/animation/Makefile, harden accordingly.
  * patch collision issue:
     - pick the most stable fix (thanks to
         Michael R. Crusoe <crusoe@debian.org> for his patch).

  [ Michael R. Crusoe ]
  * Team upload.
  * d/patches/python3.12: Fix autopkgtest failure. Closes: #1074519

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 09 Jul 2024 14:55:32 +0000

graph-tool (2.71+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 06 Jul 2024 14:02:29 +0000

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_CXXFLAGS_STRIP=-O2
 
 export VERSION_COMMENT=\"(Debian $(DEB_VERSION))\"
 
@@ -25,6 +26,11 @@
 ##CPPFLAGS += -mxgot --param ggc-min-expand=10
 ##endif
 
+MEM_PER_CPU = 10000
+NCPUS := $(or $(subst parallel=,,$(filter parallel=%,$(DEB_BUILD_OPTIONS))),$(shell nproc))
+NJOBS := $(shell awk -vn=$(NCPUS) -vm=$(MEM_PER_CPU) '/^(MemAvail|SwapFree)/ { mt += $$2 } \
+  END { n2 = int(mt/1024/m); print (n==1 || n2<=1) ? 1 : (n2<=n ? n2 : n) }' /proc/meminfo)
+
 default:
 	@uscan --no-conf --dehs --report || true
 
@@ -39,6 +45,10 @@
 		dh_auto_configure -- \
 			--with-sparsehash-prefix=google \
 			--with-boost-python=boost_python$(PY3DOTLESSVERSION)
+
+override_dh_auto_build:
+	sh debian/show-mem-swap-nproc
+	dh_auto_build --max-parallel=$(NJOBS)
 
 override_dh_auto_test:
 	true

=== debian/tests/control ===
Test-Command: python3 -c "from graph_tool.all import *; show_config(); g = random_graph(10, lambda: 5, directed=False); graph_draw(g, output='test.png');"
Architecture: amd64 arm64 s390x ia64 loong64 ppc64 riscv64
Restrictions: superficial
Depends:
 python3-graph-tool,
 python3-matplotlib,
 gir1.2-gtk-3.0,
 python3-cairo,
 python3-gi

Test-Command: debian/tests/checkcppextensionmachinery
Architecture: amd64 arm64 s390x ia64 loong64 ppc64 riscv64
Depends:
 python3-graph-tool,
 graph-tool-doc,
 build-essential,
 pkgconf,
 libpython3-dev,
 libboost-dev,
 libboost-python-dev,
 python3-cairo-dev
Restrictions: superficial, allow-stderr

## graph-tool 2.91%2Bds

=== debian/changelog ===
graph-tool (2.91+ds-5~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 05 Apr 2025 15:36:51 +0000

graph-tool (2.91+ds-5) unstable; urgency=medium

  * Team upload.
  * Adjust MEM_PER_CPU for this package version. Closes: #1101610.

 -- Santiago Vila <sanvila@debian.org>  Sun, 30 Mar 2025 12:10:00 +0200

graph-tool (2.91+ds-4) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload

  [ Dandan Zhang ]
  * Debianization:
    - d/control:
      - python3-graph-tool Architecture field, discard loong64 arch.
        (Closes: #1100368)

 -- Dandan Zhang <zhangdandan@loongson.cn>  Thu, 13 Mar 2025 11:20:03 +0800

graph-tool (2.91+ds-3) unstable; urgency=medium

  * Debianization:
    - d/control:
      - python3-graph-tool Architecture field, discard riscv64 arch.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 02 Mar 2025 18:12:16 +0000

graph-tool (2.91+ds-2) unstable; urgency=medium

  * Debianization:
    - d/patches/*:
    	- d/p/upstream-harden-autotools-pkgconf.patch, introduce;
    - d/control:
      - Standards-Version, bump to version 4.7.1 (no change);
      - python3-graph-tool Recommends list, add libsparsehash-dev;
    - d/tests/*:
      - d/t/control:
        - checkcppextensionmachinery test:
          - Depends list, add libsparsehash-dev;
    - d/adhoc/*:
      - d/a/provide/doc/demos/matplotlib/matplotlib.rst, discard.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 23 Feb 2025 19:12:18 +0000

graph-tool (2.91+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 16 Feb 2025 15:38:51 +0000

graph-tool (2.88+ds-2) unstable; urgency=medium

  * Debianization:
        - add optimize=+lto to explicitly enable LTO.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 16 Feb 2025 14:38:46 +0000

## graph-tool 2.91+ds

=== doc/Makefile ===
default: html

all: html latex test

check: test-noninteractive test

html:
	sphinx-build -j auto -E -b html . build/html

update:
	sphinx-build -j auto -b html . build/html

latex:
	sphinx-build -E -b latex . build/pdf

test:
	sphinx-build -j auto -b doctest . build/test

test-noninteractive:
	sphinx-build -b doctest . build/test-ni *.rst demos/inference/inference.rst

clean:
	rm -rf build

=== doc/demos/cppextensions/Makefile ===
PY3DOTVERSION=$(shell python -c "import sys; print(sys.version_info[0],sys.version_info[1],sep='.')")
CXX=g++
CXXFLAGS=-O3 -fopenmp -std=gnu++17 -Wall -fPIC `pkg-config --cflags --libs graph-tool-py$(PY3DOTVERSION)` -shared
ALL: libkcore.so

libkcore.so: kcore.hh kcore.cc
	${CXX} ${CXXFLAGS} kcore.cc -o libkcore.so

=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
  python3-numpydoc,
  python-scipy-doc,
 # python-matplotlib-doc,
-### python-mpltoolkits.basemap-doc,
+# python-mpltoolkits.basemap-doc,
  python3-cairo-doc,
  python-ipython-doc,
  python-pandas-doc,
@@ -52,7 +52,7 @@
  cm-super-minimal,
  poppler-utils,
  latexmk
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://graph-tool.skewed.de/
 Vcs-Git: https://salsa.debian.org/python-team/packages/graph-tool.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/graph-tool
@@ -66,7 +66,8 @@
 Replaces: graph-tool
 Recommends:
  python3-gv, python3-matplotlib, python3-cairo, python3-gi-cairo, python3-gi, gir1.2-gtk-3.0,
- build-essential, pkgconf, libpython3-dev, libboost-dev, libboost-python-dev, python3-cairo-dev
+ build-essential, pkgconf,
+ libpython3-dev, libboost-dev, libboost-python-dev, python3-cairo-dev, libsparsehash-dev
 Suggests: mencoder
 Description: Efficient network analysis -- Python
  graph-tool is an efficient Python module for manipulation and statistical

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 include /usr/share/dpkg/pkg-info.mk
 export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_BUILD_MAINT_OPTIONS= hardening=+all optimize=+lto
 export DEB_CXXFLAGS_STRIP=-O2
 
 export VERSION_COMMENT=\"(Debian $(DEB_VERSION))\"

## graph-tool 2.97+ds

=== debian/changelog ===
graph-tool (2.97+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 23 Aug 2025 19:10:18 +0000

graph-tool (2.97+ds-1) experimental; urgency=medium

  * New upstream release.
  * Debianization:
    - d/patches/*:
    	- d/p/upstream-harden-autotools-pkgconf.patch, integrated;
      - d/p/upstream-fix-lintian-spelling_error-silence.patch, introduce;
      - d/p/debianization-documentation.patch, refresh;
    - d/control:
      - Standards-Version, bump to version 4.7.2 (no change);
      - Build-Depends-Indep list, add python3-myst-parser;
    - d/python3-graph-tool.lintian-overrides, discard
      missing-dependency-on-numpy-abi tag.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 09 Jun 2025 09:39:57 +0000

## graph-tool 2.98+ds

=== doc/Makefile ===
default: html

all: html test

check: test-noninteractive test

_static/node_modules/mathjax:
	cd _static; npm install mathjax@3

html: _static/node_modules/mathjax
	sphinx-build -j auto -E -b html . build/html

update:
	sphinx-build -j auto -b html . build/html

test:
	sphinx-build -j auto -b doctest . build/test

test-noninteractive:
	sphinx-build -b doctest . build/test-ni *.rst *.md demos/inference/inference.md

clean:
	rm -rf build

=== doc/demos/cppextensions/Makefile ===
CXX=g++
CXXFLAGS=-O3 -fopenmp -std=gnu++17 -Wall -fPIC `pkg-config --cflags --libs graph-tool-py` -shared -DBOOST_ALLOW_DEPRECATED_HEADERS
ALL: libkcore.so

libkcore.so: kcore.hh kcore.cc
	${CXX} ${CXXFLAGS} kcore.cc -o libkcore.so

clean:
	rm -f libkcore.so

=== debian/changelog ===
graph-tool (2.98+ds-1) unstable; urgency=medium

  * New upstream release.
  * Debianization:
    - d/patches/*:
      - d/p/upstream-fix-lintian-spelling_error-silence.patch, integrated.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 21 Sep 2025 20:12:24 +0000

=== debian/control ===
--- 
+++ 
@@ -45,6 +45,7 @@
  python3-cairo-doc,
  python-ipython-doc,
  python-pandas-doc,
+ python3-myst-parser,
  texlive-latex-base,
  texlive-latex-recommended,
  texlive-fonts-recommended,
@@ -52,7 +53,7 @@
  cm-super-minimal,
  poppler-utils,
  latexmk
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://graph-tool.skewed.de/
 Vcs-Git: https://salsa.debian.org/python-team/packages/graph-tool.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/graph-tool
@@ -60,7 +61,8 @@
 Package: python3-graph-tool
 ## fails to _link_ on any-32bit and mips64el arch due to design limitations
 ## fails to build on ppc64el due to unfulfilled tests in boost (#1060295, #1060786)
-Architecture: amd64 arm64 s390x  ia64 loong64 ppc64 riscv64
+## fails to build on riscv64 for lake of space ('No space left on device')
+Architecture: amd64 arm64 s390x ia64 ppc64
 Depends: python3-scipy, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python3:Provides}
 Replaces: graph-tool

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 ##CPPFLAGS += -mxgot --param ggc-min-expand=10
 ##endif
 
-MEM_PER_CPU = 10000
+MEM_PER_CPU = 13000
 NCPUS := $(or $(subst parallel=,,$(filter parallel=%,$(DEB_BUILD_OPTIONS))),$(shell nproc))
 NJOBS := $(shell awk -vn=$(NCPUS) -vm=$(MEM_PER_CPU) '/^(MemAvail|SwapFree)/ { mt += $$2 } \
   END { n2 = int(mt/1024/m); print (n==1 || n2<=1) ? 1 : (n2<=n ? n2 : n) }' /proc/meminfo)

=== debian/tests/control ===
--- 
+++ 
@@ -18,5 +18,6 @@
  libpython3-dev,
  libboost-dev,
  libboost-python-dev,
- python3-cairo-dev
+ python3-cairo-dev,
+ libsparsehash-dev
 Restrictions: superficial, allow-stderr

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,dversionmangle=s/\+ds[\d]?//,compression=xz \
	https://downloads.skewed.de/graph-tool/ graph-tool-(\d\S*)\.tar\.bz2
